/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：书籍关联资源实体
 * @作者：lili
 * @创建时间：2017年3月17日,下午3:45:37
 * @版本：1.0
 */
public class BookResource extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = 5887907028032256326L;

    /**
     * 书籍资源标识
     */
    private Long bookResourceId;

    /**
     * 书籍标识
     */
    private Long bookId;

    /**
     * 资源标识
     */
    private Long resourceId;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 资源类型
     */
    private String resourceType;

    /**
     * 创建人
     */
    private Long createdUser;

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookResourceId() {
        return bookResourceId;
    }

    public void setBookResourceId(Long bookResourceId) {
        this.bookResourceId = bookResourceId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    @Override
    public String toString() {
        return "BookResource [bookResourceId=" + bookResourceId + ", bookId=" + bookId + ", resourceId=" + resourceId
                + ", channelId=" + channelId + ", resourceType=" + resourceType + ", createdUser=" + createdUser + "]";
    }
}
